import pgzrun

TITLE = "Paf l'oiseau"
WIDTH = 400
HEIGHT = 708

def on_mouse_down():
    print('Clic souris !')
    titi.speed = -6.5

def update():
    titi.y += titi.speed
    tube_superieur.x -= vitesse_defilement
    tube_inferieur.x -= vitesse_defilement
    if tube_superieur.right < 0 :
        tube_superieur.left = WIDTH
        tube_inferieur.left = WIDTH
    if titi.y > HEIGHT or titi.y < 0 :
        reset()

    titi.speed += gravite

def draw():
    screen.blit('background', (0, 0))
    titi.draw()
    tube_superieur.draw()
    tube_inferieur.draw()

def reset():
    print("Retour au départ...")
    titi.speed = 1
    titi.center = (75, 350)
    tube_superieur.center = (300, 0)
    tube_inferieur.center = (300, tube_superieur.height + ecart)

    

titi = Actor('bird1', (75, 350))
titi.speed = 1
ecart = 140
tube_superieur = Actor('top', (300, 0))
tube_inferieur = Actor('bottom', (300, tube_superieur.height + ecart))
vitesse_defilement = 1
gravite = 0.1

# print(tube_superieur.width, tube_superieur.height)

pgzrun.go()
